.\" @(#) $Name: cflowd-2-1-b1 $ $Id: cfdases.man.in,v 1.4 1999/01/22 01:53:13 dwm Exp $
.TH cfdases l LOCAL
.SH NAME
cfdases \- utility to display current AS matrix objects in cflowd
.SH SYNOPSIS
cfdases [-v] [-s srcAS] [-d dstAS] [-c configfile] routerIpAddr [ifIndex]
.SH DESCRIPTION
.I cfdases
is used to display current AS matrix in cflowd running on the local
host.
.SH REQUIRED ARGUMENTS
.IP "\fBrouterIpAddr"
You must specify a \fIrouterIpAddr\fR on the command line.  This
determines which router's AS matrix data will be shown.  You may only 
show a single router's AS matrix data.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIcfdases\fR to print version information
and exit immediately.
.IP "\fB-d dstAS"
The \fI-d dstAS\fR option causes only entries with a destination AS
equal to \fIdstAS\fR to be shown.  This permits selecting only traffic
to a particular AS.
.IP "\fB-s srcAS"
The \fI-s srcAS\fR option causes only entries with a source AS equal 
to \fIsrcAS\fR to be shown.  This permits selecting only traffic
from a particular AS.
.IP "\fB-c configfile"
The \fI-c configfile\fR option can be used to specify a cflowd
configuration file.  If not specified, a compiled-in default will be
used.
.IP "\fBifIndex"
By default, \fIcfdases\fR will show data for all input interfaces on
the router whose IP address is \fIrouterIpAddr\fR.  You may select
a particular interface by its ifIndex (from SNMP MIB-II) using the
\fIifIndex\fR after the \fIrouterIpAddr\fR on the command line.
.SH EXAMPLES
.IP "cfdases 204.212.46.1 4"
.SH FILES
.IP "\fB/usr/local/arts/etc/cflowd.conf"
The compiled-in default cflowd configuration file.
.SH SEE ALSO
cflowd(l), cflowdmux(l), cfdnets(l), cfdportmatrix(l), cfdifmatrix(l),
cfdprotos(l), cfdnexthops(l), cfdcollect(l)
.SH ACKNOWLEDGEMENTS
.IP "\fBcfdases \fRand documentation written by:"

.br
Daniel W. McRobb
.br
CAIDA, September 1998
.SH RELEASE NAME
cflowd-2-1-b1
